Subject: Product Management / Team Coordination
Description

Product Management / Team Coordination
    -  Target Audience: team / general public
    -  Responsible: Robert Lemke
    -  Amount: 15 work days
    -  Version: must have for 1.0

Description
The team and contributor's efforts need to be coordinated with the end user and overall concept in mind in order to not end up with a
patch work solution of individual components glued together. This work package is about spending a day per week for the product
management and communication with those working on specific features.

Depending on how much communication and coordination is necessary, some part of the weekly day can additionally be used for
related tasks, such as communicating the current state and roadmap or improving the Neos website.

Goal
    -  establish a day per week where the project lead is available for questions regarding the feature set, possible impediments or
technical decisions
    -  keep an eye on the consistency and overall user experience and communicate findings and possible measurements to the team
    -  discuss feature details through hangouts / chats / email and create feature descriptions / stories / wireframes

Deliverables
    -  a brief summary of what happened product / feature wise, which will be included into the monthly team report
    -  a maintained product backlog with prioritized stories
    -  decisions / conclusions from meetings with individuals are communicated to the mailing list

History
#1 - 2013-02-12 13:30 - Karsten Dambekalns
- Subject changed from Product Management / Team Coordination (STUB) to Product Management / Team Coordination

#2 - 2013-02-16 14:59 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2013-02-16 15:15 - Sebastian Kurfuerst
- File typo3neos-distribution-base-45399.pdf added
- Estimated time set to 90.00

Has been discussed with Jan-Hendrik from the EAB on 12.02.2013; and has been accepted on 15.02.2013 by the EAB.
(The attached PDF is a snapshot of this work package at the time of acceptance.)

So, Robert, you can schedule this work package in your day-to-day calendar and implement it then -- can't wait to see it happening :)
Greets, Sebastian
PS: Please still fill in start and end date.

#4 - 2013-04-02 13:19 - Aske Ertmann
- Category set to General / Project

#5 - 2013-04-02 15:06 - Robert Lemke
- Start date changed from 2013-02-12 to 2013-03-01

#6 - 2013-05-16 09:41 - Robert Lemke
- % Done changed from 0 to 80

#7 - 2013-05-17 15:45 - Robert Lemke
- % Done changed from 80 to 100

#8 - 2013-05-17 16:09 - Robert Lemke
- Due date set to 2013-05-17

Summary (also posted to http://forum.typo3.org/index.php/t/196862/):

Originally I planned to establish a regular day (each week) to work on
coordination which would allow team members to approach me with certain
questions etc. But as it turned out, there were too many urgent tasks in
the way and at that time it was also difficult schedule such a day. The
team does, however, plan to establish a bi-weakly feature / issue
discussion meeting for the near future.

In agreement with the team and Sebastian, I also used some of the hours
for tasks which weren't strictly about coordination: we experienced a
few blocking issues and were confronted with a way too long list of
pending reviews which made me push in a few review and debugging
sessions which, without this budget, I wouldn't have been able to do.

I also went through the (at that time) 327 mostly feature and task
issues for Neos, but couldn't fit in a full review and prioritization of
them until today since priorities also shifted slightly during the Neos
sprint in Karlsruhe. Christian and Aske were a great help as they also
went through the issues and Aske coordinated mosts of the UI related
tasks during the sprint.

The last third of the budget mostly went into coordination and
discussing features, concepts and tasks regarding Neos and then into
planning and communicating an updated team structure [1].

As a conclusion I am (and also think that the team is) quite happy with
what could be produced and pushed with this work package. It wasn't
strictly used according to its definition but instead I focussed on
the tasks which I think had the highest impact.

For the future we definitely need a new budget, not necessarily targeted
to my person but rather a general budget dedicated to the ever-growing
amount of organizational and nobody-wants-to-do tasks (like reviews
....). At the moment we are in a situation where more money will clearly
be able to buy more time from most members of the Neos team.

#9 - 2013-05-21 09:36 - Robert Lemke
- Status changed from Accepted to Resolved

Files
typo3neos-distribution-base-45399.pdf 3.4 kB 2013-02-16 Sebastian Kurfuerst
